AppAIGatewayDocs
API referenceAdmin operations

List application authentication events

GET
/v1/admin/apps/{app}/auth-events

Authorization

agw_identity_auth.session_token<token>

The console's session cookie. Admin requests from the console also send x-console-request: 1.

In: cookie

Path Parameters

app*string

Query Parameters

limit?integer
Range1 <= value <= 200
Default50
outcome?string
event?string

Value in

  • "token_exchange"
  • "register"
user?string
before_id?integer

Page backwards: only events older than this id.

Range0 < value

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/admin/apps/string/auth-events"
{  "app_id": "string",  "limit": 0,  "next_before_id": 0,  "events": [    {      "id": 0,      "user_id": "string",      "event": "token_exchange",      "auth_method": "attest",      "outcome": "string",      "reason": "string",      "app_version": "string",      "latency_ms": 0,      "claim_delay_ms": 0,      "created_at": "string"    }  ]}